Subject: Re: [AVT] MWPP: The Atlanta Status Report

From: John Lazzaro <[email-masked]>
Date: Wed, 20 Nov 2002 12:05:17 -0800

> Phil Kerr <[email-masked]> writes:
>
> The cut-off point between DMIDI and MWPP is when MIDI events need to be
> transmitted over the internet or unreliable networks.  This is where the
> robustness of MWPP far outways any perceived implementation overheads. 

A second cut-off point is the feature set of the MIDI device. Once there
is an IP stack, adding features to the box -- like a tiny webserver to
support configuration from any web browser, a "Firmware update" feature
whenever the LAN has a public Internet connection -- becomes possible.
These sorts of features might lower costs or raise product value
enough to overcome the overhead of adding IP.

Once there is RTP and session management, a second set of features
become possible -- synchronized audio, text messages, and video
along with the MWPP stream, the ability to negotiate upwards from  
"MIDI 1.0" to a "MIDI 2.0" packetization via session management,
and WAN interactivity.

In aggregate, the ability to offer these sorts of features might push
the industry to moving to IP as a baseline configuration for musical
instruments -- especially if the implementation overhead of the
baseline configuration is not overwhelming compared to LAN protocols. 

So, one of the goals of MWPP is to let it scale to the three places
it might be used -- WAN content streaming, WAN interactivity, and
LAN interactivity -- so that if these application areas decide that
IP and/or RTP is the right solution, there's a protocol ready to go.

> John and I have discussed in the past the benefits of a transcoding
> application which can act as a bridge between the two protocols.

Yes, just like the compatibility between MIDI Files and MIDI DIN
jacks has enabled all sorts of applications to happen, its important
that transcoding compatibility exists between DMIDI and MWPP. This
way, whatever ends up happening on the LAN won't unduly impact the
WAN application space ... 

-------------------------------------------------------------------------
John Lazzaro -- Research Specialist -- CS Division -- EECS -- UC Berkeley
lazzaro [at] cs [dot] berkeley [dot] edu     www.cs.berkeley.edu/~lazzaro
-------------------------------------------------------------------------
_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt